import 'package:flutter/material.dart';
import 'package:og1_post/og1_post.dart';

import 'src/mocks/repository-mock.dart';

void main() {
  runApp(const Og1PostExample());
}

class Og1PostExample extends StatefulWidget {
  const Og1PostExample({Key? key}) : super(key: key);

  @override
  _Og1PostExampleState createState() => _Og1PostExampleState();
}

class _Og1PostExampleState extends State<Og1PostExample> {
  @override
  Widget build(BuildContext context) {
    LikeService likeService =
        LikeService(Theme.of(context).hintColor, Theme.of(context).hintColor);

    return MaterialApp(
        theme: ThemeData.dark(),
        home: Scaffold(
            body: SingleChildScrollView(
                key: const PageStorageKey('feeds'),
                scrollDirection: Axis.vertical,
                child: Column(mainAxisSize: MainAxisSize.min, children: [
                  Og1Post(
                    key: const PageStorageKey('Og1Post'),
                    post: Repository.posts[0],
                    postActionButtons:
                        PostActionButtonsService.defaultPostActionButtons(
                            context, Theme.of(context).hintColor, likeService),
                  )
                ]))));
  }
}
