// ignore_for_file: file_names, prefer_const_constructors

import 'package:og1_post/og1_post.dart';
import 'package:og1_story/og1_story.dart';
import 'package:og1_system/og1_system.dart';

class Repository {
  static final UserModel currentUser = UserModel(
    name: 'Marcus Ng',
    profileImageUrl:
        'https://images.unsplash.com/photo-1578133671540-edad0b3d689e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1351&q=80',
  );

  static final List<UserModel> onlineUsers = [
    UserModel(
      name: 'David Brooks',
      profileImageUrl:
          'https://images.unsplash.com/photo-1500648767791-00dcc994a43e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
    ),
    UserModel(
      name: 'Jane Doe',
      profileImageUrl:
          'https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
    ),
    UserModel(
      name: 'Matthew Hinkle',
      profileImageUrl:
          'https://images.unsplash.com/photo-1492562080023-ab3db95bfbce?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1331&q=80',
    ),
    UserModel(
      name: 'Amy Smith',
      profileImageUrl:
          'https://images.unsplash.com/photo-1534528741775-53994a69daeb?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=700&q=80',
    ),
    UserModel(
      name: 'Ed Morris',
      profileImageUrl:
          'https://images.unsplash.com/photo-1521119989659-a83eee488004?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=664&q=80',
    ),
    UserModel(
      name: 'Carolyn Duncan',
      profileImageUrl:
          'https://images.unsplash.com/photo-1544005313-94ddf0286df2?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
    ),
    UserModel(
      name: 'Paul Pinnock',
      profileImageUrl:
          'https://images.unsplash.com/photo-1519631128182-433895475ffe?ixlib=rb-1.2.1&auto=format&fit=crop&w=1350&q=80',
    ),
    UserModel(
        name: 'Elizabeth Wong',
        profileImageUrl:
            'https://images.unsplash.com/photo-1515077678510-ce3bdf418862?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjF9&auto=format&fit=crop&w=675&q=80'),
    UserModel(
      name: 'James Lathrop',
      profileImageUrl:
          'https://images.unsplash.com/photo-1528892952291-009c663ce843?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=592&q=80',
    ),
    UserModel(
      name: 'Jessie Samson',
      profileImageUrl:
          'https://images.unsplash.com/photo-1517841905240-472988babdf9?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
    ),
    UserModel(
      name: 'David Brooks',
      profileImageUrl:
          'https://images.unsplash.com/photo-1500648767791-00dcc994a43e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
    ),
    UserModel(
      name: 'Jane Doe',
      profileImageUrl:
          'https://images.unsplash.com/photo-1494790108377-be9c29b29330?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
    ),
    UserModel(
      name: 'Matthew Hinkle',
      profileImageUrl:
          'https://images.unsplash.com/photo-1492562080023-ab3db95bfbce?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1331&q=80',
    ),
    UserModel(
      name: 'Amy Smith',
      profileImageUrl:
          'https://images.unsplash.com/photo-1534528741775-53994a69daeb?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=700&q=80',
    ),
    UserModel(
      name: 'Ed Morris',
      profileImageUrl:
          'https://images.unsplash.com/photo-1521119989659-a83eee488004?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=664&q=80',
    ),
    UserModel(
      name: 'Carolyn Duncan',
      profileImageUrl:
          'https://images.unsplash.com/photo-1544005313-94ddf0286df2?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
    ),
    UserModel(
      name: 'Paul Pinnock',
      profileImageUrl:
          'https://images.unsplash.com/photo-1519631128182-433895475ffe?ixlib=rb-1.2.1&auto=format&fit=crop&w=1350&q=80',
    ),
    UserModel(
        name: 'Elizabeth Wong',
        profileImageUrl:
            'https://images.unsplash.com/photo-1515077678510-ce3bdf418862?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjF9&auto=format&fit=crop&w=675&q=80'),
    UserModel(
      name: 'James Lathrop',
      profileImageUrl:
          'https://images.unsplash.com/photo-1528892952291-009c663ce843?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=592&q=80',
    ),
    UserModel(
      name: 'Jessie Samson',
      profileImageUrl:
          'https://images.unsplash.com/photo-1517841905240-472988babdf9?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
    ),
  ];

  static final List<StoryModel> stories = [
    StoryModel(
      user: onlineUsers[2],
      imageUrl:
          'https://images.unsplash.com/photo-1498307833015-e7b400441eb8?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1400&q=80',
    ),
    StoryModel(
      user: onlineUsers[6],
      imageUrl:
          'https://images.unsplash.com/photo-1499363536502-87642509e31b?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
      isViewed: true,
    ),
    StoryModel(
      user: onlineUsers[3],
      imageUrl:
          'https://images.unsplash.com/photo-1497262693247-aa258f96c4f5?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=624&q=80',
    ),
    StoryModel(
      user: onlineUsers[9],
      imageUrl:
          'https://images.unsplash.com/photo-1496950866446-3253e1470e8e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1350&q=80',
      isViewed: true,
    ),
    StoryModel(
      user: onlineUsers[7],
      imageUrl:
          'https://images.unsplash.com/photo-1475688621402-4257c812d6db?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1267&q=80',
    ),
    StoryModel(
      user: onlineUsers[2],
      imageUrl:
          'https://images.unsplash.com/photo-1498307833015-e7b400441eb8?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1400&q=80',
    ),
    StoryModel(
      user: onlineUsers[6],
      imageUrl:
          'https://images.unsplash.com/photo-1499363536502-87642509e31b?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
      isViewed: true,
    ),
    StoryModel(
      user: onlineUsers[3],
      imageUrl:
          'https://images.unsplash.com/photo-1497262693247-aa258f96c4f5?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=624&q=80',
    ),
    StoryModel(
      user: onlineUsers[9],
      imageUrl:
          'https://images.unsplash.com/photo-1496950866446-3253e1470e8e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1350&q=80',
      isViewed: true,
    ),
    StoryModel(
      user: onlineUsers[7],
      imageUrl:
          'https://images.unsplash.com/photo-1475688621402-4257c812d6db?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1267&q=80',
    ),
  ];

  static final List<PostModel> posts = [
    PostModel(
      user: currentUser,
      caption: 'Check out these cool puppers',
      timeAgo: '58m',
      imageUrl: [
        'https://images.unsplash.com/photo-1525253086316-d0c936c814f8',
      ],
      likes: 1202,
      comments: 184,
      shares: 96,
    ),
    PostModel(
      user: onlineUsers[5],
      caption:
          'Please enjoy this placeholder text: Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',
      timeAgo: '3hr',
      likes: 683,
      comments: 79,
      shares: 18,
    ),
    PostModel(
      user: onlineUsers[4],
      caption: 'This is a very good boi.',
      timeAgo: '8hr',
      imageUrl: [
        'https://images.unsplash.com/photo-1575535468632-345892291673?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
      ],
      likes: 894,
      comments: 201,
      shares: 27,
    ),
    PostModel(
      user: onlineUsers[3],
      caption: 'Adventure 🏔',
      timeAgo: '15hr',
      imageUrl: [
        'https://images.unsplash.com/photo-1573331519317-30b24326bb9a?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1350&q=80',
      ],
      likes: 722,
      comments: 183,
      shares: 42,
    ),
    PostModel(
      user: onlineUsers[0],
      caption:
          'More placeholder text for the soul: Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',
      timeAgo: '1d',
      likes: 42,
      comments: 7,
      shares: 0,
    ),
    PostModel(
      user: onlineUsers[3],
      caption:
          'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',
      timeAgo: '1d',
      likes: 482,
      comments: 37,
      shares: 9,
    ),
    PostModel(
      user: onlineUsers[9],
      caption: 'A classic.',
      timeAgo: '1d',
      imageUrl: [
        'https://images.unsplash.com/reserve/OlxPGKgRUaX0E1hg3b3X_Dumbo.JPG?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80',
      ],
      likes: 1523,
      shares: 129,
      comments: 301,
    ),
    PostModel(
      user: onlineUsers[10],
      caption: 'Photo Gallery',
      timeAgo: '1d',
      imageUrl: [
        'https://i.picsum.photos/id/685/500/500.jpg?hmac=lnsNPNacFnoZyBILLlfASmAxlZtbbUVCnGFWA3mUYNM',
        'https://i.picsum.photos/id/220/500/500.jpg?hmac=BI2JJ-HO8Y-sPg5VypbxvFcnn_kODMPs1eFverLVdD0',
        'https://i.picsum.photos/id/844/500/500.jpg?hmac=k01ekSpe2X1e9HGeJ4amQpq0DSkLa2Ko7B9nm-3C0HI'
      ],
      likes: 1523,
      shares: 129,
      comments: 301,
    )
  ];
}
