import 'package:flutter/material.dart';
import 'package:og1_system/og1_system.dart';

class CommentBoxService {
  static void commentBox(BuildContext context) {
    DeviceScreenType deviceType = getDeviceType(MediaQuery.of(context).size);
    double dialogHeight = deviceType == DeviceScreenType.mobile
        ? MediaQuery.of(context).size.height * 0.98
        : MediaQuery.of(context).size.height * 0.45;
    double dialogWidth = deviceType == DeviceScreenType.mobile
        ? MediaQuery.of(context).size.width * 0.98
        : MediaQuery.of(context).size.width * 0.45;

    showDialog(
      context: context,
      builder: (BuildContext context) {
        return Dialog(
          insetAnimationCurve: Curves.easeInOut,
          insetAnimationDuration: const Duration(milliseconds: 200),
          child: SizedBox(
              height: dialogHeight,
              width: dialogWidth,
              child: Padding(
                padding: const EdgeInsets.all(15.0),
                child: Column(
                  children: [
                    const Spacer(),
                    TextFormField(
                      decoration: InputDecoration(
                        hintText: 'Write your comment ...',
                        suffixIcon: IconButton(
                          icon: const Icon(Icons.send),
                          onPressed: () {},
                        ),
                        border: OutlineInputBorder(
                          borderRadius: BorderRadius.circular(20.0),
                          borderSide: const BorderSide(
                            color: Colors.blue,
                          ),
                        ),
                        focusedBorder: OutlineInputBorder(
                          borderRadius: BorderRadius.circular(20.0),
                          borderSide: const BorderSide(
                            color: Colors.blue,
                          ),
                        ),
                      ),
                    )
                  ],
                ),
              )),
        );
      },
    );
  }
}
