// ignore_for_file: avoid_print

import 'package:flutter/material.dart';
import 'package:mdi/mdi.dart';
import 'package:og1_post/og1_post.dart';

class PostActionButtonsService {
  static List<Og1PostButton> defaultPostActionButtons(
      BuildContext context, Color labelColor, LikeService likeService) {
    return [
      Og1PostButton(
        icon: Icon(
          Mdi.thumbUp,
          color: likeService.iconColor,
          size: 20.0,
        ),
        label: likeService.label,
        labelColor: likeService.labelColor,
        onTap: () {
          print('Like');
          likeService.handelLikePost(labelColor, labelColor);
        },
      ),
      Og1PostButton(
        icon: Icon(
          Mdi.commentOutline,
          color: labelColor,
          size: 20.0,
        ),
        labelColor: labelColor,
        label: 'Comment',
        onTap: () {
          CommentBoxService.commentBox(context);
          print('Comment');
        },
      ),
      Og1PostButton(
        icon: Icon(
          Mdi.shareOutline,
          color: labelColor,
          size: 25.0,
        ),
        labelColor: labelColor,
        label: 'Share',
        onTap: () => print('Share'),
      )
    ];
  }
}
