// ignore_for_file: avoid_print

import 'package:flutter/material.dart';
import 'package:og1_system/og1_system.dart';
import 'package:og1_ui/og1_ui.dart';

/// Populated from single UserModel instance.
/// Consists of Og1Avatar and PostEditField
class Og1NewPostEdit extends StatelessWidget {
  final UserModel currentUser;

  const Og1NewPostEdit({
    Key? key,
    required this.currentUser,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(children: [
      Og1Avatar(
        profileImageUrl: currentUser.profileImageUrl,
      ),
      const SizedBox(width: 8.0),
      Expanded(child: ResponsiveBuilder(builder: (context, sizingInformation) {
        if (sizingInformation.deviceScreenType == DeviceScreenType.desktop) {
          return const TextField(
            decoration: InputDecoration.collapsed(
              // collapsed to remove the underline
              hintText: "What's on your mind?",
            ),
          );
        }
        return OutlinedButton(
          child: Align(
            alignment: Alignment.centerLeft,
            child: Padding(
              padding: const EdgeInsets.only(left: 10.0),
              child: Text(
                "What's on your mind?",
                style: TextStyle(
                  color: Theme.of(context).hintColor,
                ),
              ),
            ),
          ),
          onPressed: () => print('Create Post!'),
          style: ButtonStyle(
            shape: MaterialStateProperty.all(
              RoundedRectangleBorder(
                borderRadius: BorderRadius.circular(30.0),
              ),
            ),
          ),
        );
      }))
    ]);
  }
}
