import 'package:flutter/material.dart';
import 'package:intersperse/intersperse.dart';

/// Populated from a list of TextButtons.
/// Consists of a Row of Text Buttons.
class Og1UserActions extends StatelessWidget {
  final List<TextButton>? actionButtons;

  const Og1UserActions({
    Key? key,
    this.actionButtons,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    if (actionButtons == null || actionButtons!.isEmpty) {
      return Container();
    }
    return Row(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        children: intersperse(const VerticalDivider(width: 8.0), actionButtons!)
            .toList());
  }
}
