import 'package:flutter/material.dart';

/// Populated from icon, label, labelColor and onTap function
/// Consists of the icon and label
class Og1PostButton extends StatelessWidget {
  final Icon icon;
  final String label;
  final Function onTap;
  final Color labelColor;

  const Og1PostButton({
    Key? key,
    required this.icon,
    required this.label,
    required this.onTap,
    required this.labelColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Material(
        color: Theme.of(context).cardColor,
        child: InkWell(
          onTap: onTap as void Function()?,
          child: Container(
            padding: const EdgeInsets.symmetric(horizontal: 12.0),
            height: 25.0,
            child: Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                icon,
                const SizedBox(width: 4.0),
                Text(
                  label,
                  style: TextStyle(color: labelColor),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
