// ignore_for_file: avoid_print

import 'package:flutter/material.dart';
import 'package:og1_post/src/models/_models.dart';
import 'package:og1_ui/og1_ui.dart';

/// Populated from single PostModel instance.
/// Consists of Og1Avatar, UserSummary (user name, post time, access, more options)
class Og1PostHeader extends StatelessWidget {
  final PostModel post;

  const Og1PostHeader({
    Key? key,
    required this.post,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Og1Avatar(
          profileImageUrl: post.user.profileImageUrl,
        ),
        const SizedBox(width: 8.0),
        Expanded(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(
                post.user.name,
                style: const TextStyle(
                  fontWeight: FontWeight.w600,
                ),
              ),
              Row(
                children: [
                  Text(
                    '${post.timeAgo} • ',
                    style: TextStyle(
                      color: Theme.of(context).hintColor,
                      fontSize: 12.0,
                    ),
                  ),
                  Icon(
                    Icons.public,
                    color: Theme.of(context).hintColor,
                    size: 12.0,
                  )
                ],
              )
            ],
          ),
        ),
        IconButton(
          icon: const Icon(Icons.more_horiz),
          onPressed: () => print('More'),
        ),
      ],
    );
  }
}
