// ignore_for_file: sized_box_for_whitespace, avoid_print

import 'package:flutter/material.dart';
import 'package:og1_post/src/models/_models.dart';

import '../_widgets.dart';

/// Populated from single PostModel instance.
/// Consists of Og1PostSummary and Og1PostActions
class Og1PostStats extends StatelessWidget {
  final PostModel post;
  final List<Og1PostButton>? postActionButtons;

  const Og1PostStats({Key? key, required this.post, this.postActionButtons})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 12.0),
      child: Column(
        children: [
          const SizedBox(height: 6.0),
          Og1PostSummary(post: post),
          const Divider(),
          Og1PostActions(postActionButtons: postActionButtons)
        ],
      ),
    );
  }
}
