// ignore_for_file: sized_box_for_whitespace, avoid_print

import 'package:flutter/material.dart';
import 'package:og1_post/src/models/_models.dart';

/// Populated from single PostModel instance.
/// Consists of Labels for Likes, Comments and Shares
class Og1PostSummary extends StatelessWidget {
  final PostModel post;

  const Og1PostSummary({
    Key? key,
    required this.post,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    
    return Row(
      children: [
        Container(
          padding: const EdgeInsets.all(4.0),
          decoration: const BoxDecoration(
            color: Color(0xFF1777F2),
            shape: BoxShape.circle,
          ),
          child: const Icon(
            Icons.thumb_up_alt,
            size: 10.0,
            color: Colors.white,
          ),
        ),
        const SizedBox(width: 4.0),
        Expanded(
          child: Text(
            '${post.likes}',
            style: TextStyle(
              color: Theme.of(context).hintColor,
            ),
          ),
        ),
        Text(
          '${post.comments} Comments',
          style: TextStyle(
            color: Theme.of(context).hintColor,
          ),
        ),
        const SizedBox(width: 8.0),
        Text(
          '${post.shares} Shares',
          style: TextStyle(
            color: Theme.of(context).hintColor,
          ),
        )
      ],
    );
  }
}
